// Copyright (c) 2006 dean gaudet <dean@arctic.org>
// 
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.

#ifndef VTIME64_H_INCLUDED
#define VTIME64_H_INCLUDED

typedef unsigned long ulong;
extern uint64_t vtime64_sgdt(ulong zero);
extern uint64_t vtime64_sldt(ulong zero);
extern uint64_t vtime64_sidt(ulong zero);
extern uint64_t vtime64_lsl(ulong zero);

extern uint64_t vtime64_restart_sgdt(ulong zero);
extern uint64_t vtime64_restart_sldt(ulong zero);
extern uint64_t vtime64_restart_sidt(ulong zero);
extern uint64_t vtime64_restart_lsl(ulong zero);

#endif
